<template>
  <ContentScrollView :paddingH="false" style="background-color: #fff">
    <PhoneBillRecharge @goPay="goPay" :isDev="isDev" />
  </ContentScrollView>
</template>

<script setup lang="ts">
import { PhoneBillRecharge } from '@life-payment/components';
import { BlLifeRecharge } from '@life-payment/core-vue';
import Taro from '@tarojs/taro';

defineOptions({
  name: 'InnerPage',
});

const isDev = process.env.NODE_ENV === 'development';

function goPay(orderNo: string) {
  Taro.navigateTo({
    url: `${RouterPath.selectPayType}?orderNo=${orderNo}&lifePayOrderType=${BlLifeRecharge.constants.LifePayOrderTypeEnum.话费订单}`,
  });
}
</script>
